catalog:
  title: Flobi Face Identification

templates:
- runnable
- base

variables:
  keywords:
  - python
  - fsmt
  - programming language
  - testing
  - integrations tests
  recipe.maintainer:
  - flier@techfak.uni-bielefeld.de
  runnable: true
  access: private

  branches:
  - s1

  extra-requires:
  - nature: cmake
    target: fsmt-exp-flobi-faceid-nightly
  - nature: setuptools
    target: fsmt

  shell.command: |
    #!/bin/bash
    export DISPLAY=:0.0
    export prefix="${toolkit.dir}"
    source /opt/ros/indigo/setup.bash
    export PYTHONPATH=$prefix/lib/python2.7/site-packages/:$prefix/lib/python2.7/dist-packages/:$PYTHONPATH
    export PATH=$prefix/bin/:$PATH
    fsmt $prefix/etc/fsmt-experiments/flobi-faceid/flobi-faceid.scxml
